> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Api Token Endpoint

> Revoke an API token by ID.



## OpenAPI

````yaml /openapi.json delete /v1/auth/api-tokens/{token_id}
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/auth/api-tokens/{token_id}:
    delete:
      tags:
        - auth
      summary: Revoke Api Token Endpoint
      description: Revoke an API token by ID.
      operationId: revoke_api_token_endpoint_v1_auth_api_tokens__token_id__delete
      parameters:
        - name: token_id
          in: path
          required: true
          schema:
            type: string
            title: Token Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTokenRevokeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ApiTokenRevokeResponse:
      properties:
        revoked:
          type: boolean
          title: Revoked
      type: object
      required:
        - revoked
      title: ApiTokenRevokeResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````